core::Terminal Class Reference
Inheritance diagram for core::Terminal:
[legend]
Collaboration diagram for core::Terminal:
[legend]

## Public Member Functions

| Terminal (EPoll &ePoll, TCPServerSocket &server)
int | getLines ()
void | clear ()
void | clearEOL ()
void | setCursorLocation (int x, int y)
void | setColor (int color)
void | setBackColor (int color)
void | saveCursor ()
void | restoreCursor ()
void | NextLine (int lines)
void | PreviousLine (int lines)
void | scrollArea (int start, int end)
Public Member Functions inherited from core::Session
| Session (EPoll &ePoll, TCPServerSocket &server)
virtual void | init ()
virtual void | output (Session *session)
void | send ()
void | sendToAll ()
void | sendToAll (SessionFilter *filter)
TCPServerSocket & | getServer ()
Public Member Functions inherited from core::TCPSocket
| TCPSocket (EPoll &ePoll)
void | connect (IPAddress &address)
virtual void | output (std::stringstream &out)
Public Member Functions inherited from core::Socket
| Socket (EPoll &ePoll)
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
void | enable (bool mode)
| Enable the socket to read or write based upon buffer.

## Additional Inherited Members

Public Attributes inherited from core::Session
std::stringstream | out
TCPServerSocket & | server
Public Attributes inherited from core::TCPSocket
IPAddress | ipAddress
Public Attributes inherited from core::Socket
class {
} | bufferSize
Public Attributes inherited from core::Object
std::string | name
std::string | tag
Protected Member Functions inherited from core::Session
void | onDataReceived (std::string data) override
| Called when data is received from the socket. More...
void | onConnected () override
| Called when socket is open and ready to communicate. More...
virtual void | protocol (std::string data)=0
Protected Member Functions inherited from core::Socket
void | setBufferSize (int length)
virtual void | onTLSInit ()
void | shutdown ()
virtual void | receiveData (char *buffer, int bufferLength)
Protected Attributes inherited from core::Socket
EPoll & | ePoll
bool | shutDown = false

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/Terminal.h
- /home/barant/Development/BMA/server_core/ServerCore/Terminal.cpp